/* Copyright (c) 2012, 2013  BlackBerry Limited.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import bb.cascades 1.3

TabbedPane {
    Tab {
        title: "Actual radar image"
        description: "Show actual radar image."
        Page {
            Container {
                layout: DockLayout {}
                
                // The background image
                ImageView {
                    horizontalAlignment: HorizontalAlignment.Fill
                    verticalAlignment: VerticalAlignment.Fill
                    
                    imageSource: "asset:///images/background.png"
                }
                
                ScrollView {
                    scrollViewProperties {
                        scrollMode: ScrollMode.Both
                    }
                    scrollRole: ScrollRole.Main
                    scrollViewProperties.minContentScale: 1.0
                    scrollViewProperties.maxContentScale: 3.0
                    scrollViewProperties.pinchToZoomEnabled: true
                    
                    ImageView {
                        objectName: "radarImage"
                        
                        horizontalAlignment: HorizontalAlignment.Fill
                        verticalAlignment: VerticalAlignment.Fill
                    }
                }
                
                //! [0]
                // The button to start the loading of the images
                /*Button {
                    horizontalAlignment: HorizontalAlignment.Left
                    verticalAlignment: VerticalAlignment.Bottom
                    
                    text: qsTr("Download radar")
                    
                    onClicked: {
                        //_app.loadImages()
                        visible = false
                        listView.visible = true
                    }
                }*/
            }
        }    
    }
    Tab {
        title: "About"
        Page {
            Container {
                Label {
                    text: "Data © chmi.cz"
                }
                Label {
                    text: "Application by johniez.cz"
                }
                Label {
                    text: "Version 0.0"
                }
            }
        }
    }
}


